<?php

define('_CONSTANT_', 1);

require_once '../../core/start.php';

checkAuth();

switch ($do) 
{
    default: 

    head('Кланы', 'Кланы');

    $all = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM " . CLANS . " ORDER BY `rating` DESC");
    $n = new Navigator($all,10,'');
    $sql = DB::$dbs->query("SELECT * FROM " . CLANS . " ORDER BY `rating` DESC LIMIT {$n->start()}, 10");

    if (empty($all)) 
    {
        errorNoExit('Пусто...');
    }
    while ($clan = $sql -> fetch()) 
    {
        ?> 
        <a href="<?=HOME?>/modules/clan/clans.php?do=info&amp;clanId=<?=$Filter->clearInt($clan['id'])?>" class="link-touch"><?=ico('clan.png')?><?=$Filter->output($clan['name'])?> <?=$Filter->clearInt($clan['lvl'])?>ур. <span class="count"><?=ico('clan-rating.png') . $Count->clanCountRating($clan['id'])?></span></a>
        <?php
    } 

    echo $n->navi();

    ?> 
    <a href="<?=HOME?>/modules/clan/clans.php?do=newClan" class="link-touch"> Создать клан</a>
    <?php

    break;

    case 'info':

    head('Просмотр клана', 'Просмотр клана'); 

    /* If Get clanId */
    if (isset($_GET['clanId'])) 
    { 
        $clanId = $Filter->clearInt($_GET['clanId']);
        $clan = DB::$dbs->queryFetch("SELECT * FROM " . CLANS . " WHERE `id` = ?", [$clanId]);
        /* if don`t clan */
        if (!$clan) 
        {
            error('Клан не найден', '/modules/clan/clans.php', 'Посмотреть другие кланы');
        }

        echo DIV_CONTENT; 
        ?> 
        <div class="clanninfo">
            <span><b><?=$Filter->output($clan['name'])?></b></span>
            <br />
            <span>Уровень: <b><?=$Filter->clearInt($clan['lvl'])?></b></span>
            <br />
            <span>Рейтинг: <b><?=$Count->clanCountRating($clan['id'])?></b></span>
        </div>
        <div style="text-align: center;">Участники [<?=$Filter->clearInt($clan['users'])?>/<?=$Filter->clearInt($clan['max_users'])?>]</div><br/>
        <?php 
        $all = DB::$dbs->querySingle("SELECT COUNT(`id`) FROM " . USERS . " WHERE `clan_id` = ? ORDER BY `clan_access` DESC", [$clanId]);
        $n = new Navigator($all,10,'');
        $sql = DB::$dbs->query("SELECT * FROM " . USERS . " WHERE `clan_id` = ? ORDER BY `clan_access` DESC LIMIT {$n->start()}, 10", [$clanId]);

        if (empty($all)) 
        {
            errorNoExit('Пусто...');
        }
        while ($profile = $sql -> fetch()) 
        {
             ?>
             <?=userLink($profile['id'], 'link-touch', $User->clanAccess($profile['id'], 'name') . '<span class="count">'. ico('clan-rating.png') . $profile['clan_rating'] .'</span>');?>
             <?php
        } 

        echo $n->navi();
        if ($user['clan_id'] == 0 && $clan['users'] != $clan['max_users']) 
        {
            ?> 
            <a href="<?=HOME?>/modules/clan/clans.php?do=info&amp;clanId=<?=$clanId?>&amp;addInvite" class="link-touch"> Подать заявку</a>
            <?php
        }
        ?>         
        <a href="<?=HOME?>/modules/clan/clans.php" class="link-touch"> Посмотреть другие кланы</a>
        <?php
    } 
    else 
    {
        error('Клан не найден', '/modules/clan/clans.php', 'Посмотреть другие кланы');        
    } 

    break;

    case 'newClan': 

    head('Создание клана', 'Создание клана');
    /* Check user */
    if ($user['clan_id'] != 0) 
    {
        error('Сначала покиньте ваш клан.', '/modules/clan/clans.php', 'Просмотр других кланов');
    } 

    $cost = 1000;

    if (isset($_POST['try']) && $user['clan_id'] == 0) 
    {
        $data = $_POST;

        $data['clanName'] = $Filter->clearString($data['clanName']);
        /*-----------*/
        if (empty($data['clanName']) || strlen($data['clanName']) > 15 || strlen($data['clanName']) < 4) 
        {
            error('Название должно быть в диапазоне [4-15]', '/modules/clan/clans.php', 'Посмотреть другие кланы');
        } 
        if ($user['money'] < $cost) 
        {
            error('Недостаточно ' . moneyIcon(), '/modules/clan/clans.php', 'Посмотреть другие кланы');
        }
        DB::$dbs->query("INSERT INTO " . CLANS . " (`name`, `lvl`, `exp`, `rating`, `users`, `max_users`, `lider_id`) VALUES (?, ?, ?, ?, ?, ?, ?)", [$data['clanName'], 1, 0, 0, 1, 10, $user['id']]);
        $last = DB::$dbs->lastInsertId();
        DB::$dbs->query("UPDATE " . USERS . " SET `clan_id` = ?, `clan_access` = ?, `money` = ? WHERE `id` = ?", [$last, 5, ($user['money'] - $cost), $user['id']]);
        $User->addClanJournal(' Создал клан ' . $data['clanName'], $last);
        success('Клан успешно создан', '/', 'На главную');
    } 
    ?> 
    <b><?=ico('info.png')?> Цена создания клана: <?=moneyIcon() . $cost?>.</b><br/>
    <form action="" method="POST">
        Название клана:<br/>
        <input type="text" name="clanName" placeholder="Введите текст..."><br/>
        <input type="submit" name="try" value="Создать">
        </form>
        <?php 

        break;
}

require_once '../../core/foot.php';